require "./config"
require "./run"

module DocMachine::Scaffold
  class Cli
    def self.add_options(opts, args, parent_config, commands)
      config = Config.new(parent_config)

      opts.on("scaffold", "Scaffold target directory (beta)") do
        opts.banner = "Usage: #{PROGRAM_NAME} scaffold [options] TARGET"

        opts.on("-f", "--force", "Don't ask for confirmation") do
          config.force = true
        end

        commands << ->() : Nil do
          if args.size < 1
            STDERR.puts "ERROR: No target given!"
            exit 1 
          end
          config.target_directory = args[0]

          app = DocMachine::Scaffold::Run.new(config)
          app.prepare
          app.start
          app.wait
        end
      end
    end
  end
end
